Bug 830906 - Segmentation fault _mesa_delete_texture_image
Segmentation fault _mesa_delete_texture_image
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mesa (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-11 11:46 EDT by Florent Le Coz
Modified: 2013-07-31 13:45 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 13:45:09 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
gdb traceback (1.27 KB, text/plain)
2012-06-11 11:46 EDT, Florent Le Coz
no flags Details
A short example using a texture that reproduces the segmentation fault. (587 bytes, text/plain)
2012-06-11 11:48 EDT, Florent Le Coz
no flags Details

  None (edit)
Description Florent Le Coz 2012-06-11 11:46:52 EDT
Created attachment 590974 [details]
gdb traceback

Description of problem:
When deleting an sf::Texture (SFML 2, last git version), a segmentation fault occurs somewhere in the mesa package (if I understand correctly).
Attached is the gdb traceback.
It doesn’t look like it’s SFML’s fault. And even if SFML was actually doing something wrong, I don’t think a segfault should be a proper response from the mesa package.
But if it’s only SFML’s fault, I’ll report the bug to them directly.


Version-Release number of selected component (if applicable):
mesa-dri-drivers-8.0.3-1.fc17.x86_64   
mesa-dri-filesystem-8.0.3-1.fc17.x86_64
mesa-libGL-8.0.3-1.fc17.x86_64         
mesa-debuginfo-8.0.3-1.fc17.x86_64     
mesa-libxatracker-8.0.3-1.fc17.x86_64  
mesa-libGLU-devel-8.0.3-1.fc17.x86_64  
mesa-libGLU-8.0.3-1.fc17.x86_64        
mesa-libGL-devel-8.0.3-1.fc17.x86_64   
mesa-libglapi-8.0.3-1.fc17.x86_64      


How reproducible:
Always.

Steps to Reproduce:
1. Compile and run the given c++ example.
2. SIGINT with ^C

  
Actual results:
Segmentation fault.

Expected results:
Should stop properly.

Additional information:
Linux abricot 3.4.0-1.fc17.x86_64 #1 SMP Sun Jun 3 06:35:17 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux
Comment 1 Florent Le Coz 2012-06-11 11:48:11 EDT
Created attachment 590975 [details]
A short example using a texture that reproduces the segmentation fault.
Comment 2 Fedora End Of Life 2013-07-03 15:22:21 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2013-07-31 13:45:13 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.